[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Errors on x86_64 (broken c++ headers?)



Panu Matilainen wrote:

On Thu, 2005-05-12 at 20:55 +0300, Panu Matilainen wrote:


In fact, if you do successive runs of "yum install libstdc++-devel"
inside or outside mach, yum (2.3.2) will flip-flop between i386 and
x86_64 package. Can't be expected behavior really...



Hohum. The libstdc++-devel packages obsolete each other, that's why they flip-flop (happens with rpm -Uvh as well):

[root weasel]# rpm -q --obsoletes libstdc++-devel
libstdc++3-devel
libstdc++34-devel
[root weasel]# rpm -q --provides libstdc++-devel
libstdc++34-devel
libstdc++-devel = 3.4.3-22.fc3


So, does this mean that I have a 50-50 chance of getting the libraries I want if I resubmit the job? Just curious. Obviously this needs to be fixed, but if I had a reasonable chance of resubmitting the job and getting it to build, I might try before then.

-Quentin


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]